Version 4.2.1.16 in Firefox 56 doesn't work...

What do you love about LastPass? What do you hate about it? Tell us why you like it, why you don't, and why.

Moderators: admin, anatoly_LP, chantieLP, JoeSiegrist, robyn

Version 4.2.1.16 in Firefox 56 doesn't work...

Postby RBV » Mon Nov 06, 2017 6:58 pm

Yet another LastPass "update" to the Firefox (56) plugin that breaks things. This time Version 4.2.1.16 is "dead" -- after one fills in one's email address and password, neither pressing ENTER nor clicking Log In do anything.

I reverted to 4.1.67 to get things working again.

This is the latest in a sequence of three or four "updates" to the Firefox add-on which don't work. Or which work erratically.

I've been using LastPass for close to five years. I'm about ready to abandon it because its Firefox add-ons have become so totally broken...

Cheers,
RBV
SFO
RBV
 
Posts: 3
Joined: Tue Sep 08, 2015 6:49 pm

Re: Version 4.2.1.16 in Firefox 56 doesn't work...

Postby cvhc » Mon Nov 06, 2017 9:26 pm

Same problem...

And all HTTP Basic Auth requests are blocked by LastPass. I get "401 Authorization Required" without any prompt for password.

Going crazy...
cvhc
 
Posts: 2
Joined: Mon Nov 06, 2017 9:24 pm

Re: Version 4.2.1.16 in Firefox 56 doesn't work...

Postby jpenny84 » Tue Nov 07, 2017 1:10 am

cvhc Wrote:Same problem...

And all HTTP Basic Auth requests are blocked by LastPass. I get "401 Authorization Required" without any prompt for password.

Going crazy...


You need binary support for basic authentication, and the WebExtension version of Firefox cannot communicate with the native messaging client yet.

https://blog.lastpass.com/2017/10/lastp ... x-57.html/
jpenny84
 
Posts: 7532
Joined: Tue Mar 06, 2012 9:10 pm

Re: Version 4.2.1.16 in Firefox 56 doesn't work...

Postby tmr » Tue Nov 07, 2017 11:12 pm

I'm holding off dumping Firefox for now by using the Extended Support Release, currently at 52.4.1. This allows me to continue using LastPass and a half dozen extensions that don't appear likely to be available in FF57. If, like me, you're an ornery old codger who prefers what's good enough rather than what's the latest, FF ESR is your friend.

Firefox Extended Support Release
https://www.mozilla.org/en-US/firefox/organizations/

Ted
tmr
 
Posts: 1
Joined: Tue Jul 12, 2011 7:34 pm

Re: Version 4.2.1.16 in Firefox 56 doesn't work...

Postby PaulMcg » Thu Nov 09, 2017 5:42 am

Reading the details about legacy add-ons it looks like the lastpass team have to make some code adjustments so that lastpass works properly as an add-on. I don't know whether the lastpass team were warned of this but it would be helpful if the lastpass team announced when they will be updating the product to work as a non-legacy add-on on firefox. Please can a lastpass representative respond.
PaulMcg
 
Posts: 1
Joined: Thu Nov 09, 2017 5:38 am

Re: Version 4.2.1.16 in Firefox 56 doesn't work...

Postby cvhc » Thu Nov 09, 2017 9:41 pm

jpenny84 Wrote:
cvhc Wrote:Same problem...

And all HTTP Basic Auth requests are blocked by LastPass. I get "401 Authorization Required" without any prompt for password.

Going crazy...


You need binary support for basic authentication, and the WebExtension version of Firefox cannot communicate with the native messaging client yet.

https://blog.lastpass.com/2017/10/lastp ... x-57.html/


But the problem is... LastPass seem to hold up password prompt silently. I cannot even type the password myself.
Even worse, I found that LastPass blocked http proxy authentication (407) as well... Foxyproxy won't work with LastPass installed together.
cvhc
 
Posts: 2
Joined: Mon Nov 06, 2017 9:24 pm

Re: Version 4.2.1.16 in Firefox 56 doesn't work...

Postby bestia » Mon Nov 13, 2017 9:28 am

Hi!
The new version is working well on Firefox, just remove the old addon and install the new one.
Cheers,Bestia
bestia
 
Posts: 2
Joined: Mon Nov 13, 2017 8:57 am

Re: Version 4.2.1.16 in Firefox 56 doesn't work...

Postby rickpri » Tue Nov 14, 2017 10:32 am

Eurgh, just come here after finding that my plugin has been updated and now my browser isn't filling in Basic Auth fields any more :(
rickpri
 
Posts: 4
Joined: Tue Mar 21, 2017 6:54 am

Re: Version 4.2.1.16 in Firefox 56 doesn't work...

Postby jborton73 » Tue Nov 14, 2017 10:44 am

Installing the latest extension from the lastpass web site AND upgrading to Firefox 57 has resolved the problem for me (the new extension did not work in 56).
jborton73
 
Posts: 3
Joined: Wed Sep 30, 2015 2:56 pm

Re: Version 4.2.1.16 in Firefox 56 doesn't work...

Postby echodeck » Tue Nov 14, 2017 11:09 am

FYI for everyone.
I am running FF 56 and ran into the Lastpass logout issue. I logged into my work Mac this morning an noted it was logged out of LP. I checked Add-ons and noted that 4.12.21a or some such was loaded and the added date was off.
December 30,1969 was listed as the date added.

Unable to login multiple times, even with 2FA and SMS codes, I went to the LP site and re-downloaded the FF plugin. It rolled it back to 4.2.08. I was then able to get in via one time passcode then Auth thru 2FA.

This is total BS and am now moving to 1Password. I can't have this happening to me in my work environment.
echodeck
 
Posts: 1
Joined: Tue Nov 14, 2017 11:00 am


Return to Feedback

Who is online

Users browsing this forum: No registered users and 15 guests